<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up(): void
	{
        Schema::create('categories', function (Blueprint $table) {
            $table->id();
            $table->uuid('uuid')->index();
            $table->string('keywords', 191)->nullable();
            $table->bigInteger('parent_id')->default(0)->index();
            $table->tinyInteger('type')->default(1);
            $table->string('img')->nullable();
            $table->boolean('active')->default(1);
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down(): void
	{
        Schema::dropIfExists('categories');
    }
};
